YUI Flash Component Documentation |
Class VerticalAlignment

Package | com.yahoo.astra.layout.modes
Class | public class VerticalAlignment

A set of constants for vertical alignment values used by the layout engine.

Public Constants

| Constant | Defined by
--- | --- | ---
|  | BOTTOM : String = "bottom" [static] Items will be aligned to the bottom of the available bounds. | VerticalAlignment
|  | MIDDLE : String = "middle" [static] Items will be aligned to the middle of the available bounds. | VerticalAlignment
|  | TOP : String = "top" [static] Items will be aligned to the top of the available bounds. | VerticalAlignment

Constant detail

BOTTOM | constant

`public static const BOTTOM:String = "bottom"`

Items will be aligned to the bottom of the available bounds.

MIDDLE | constant |

`public static const MIDDLE:String = "middle"`

Items will be aligned to the middle of the available bounds.

TOP | constant |

`public static const TOP:String = "top"`

Items will be aligned to the top of the available bounds.